Page MenuHomePhabricator

IPA is not properly removed in link previews
Closed, ResolvedPublic

Description

IPA templates (without brackets) are not properly removed in link previews. They leave an extra space.

Example: pagelink preview

Example 2: pagelink preview

Brackets, on the other hand, are properly removed, and no space is left.

Please fix this by setting Hovercards to remove the space before an IPA template.

Event Timeline

SUM1 created this task.Nov 24 2017, 9:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2017, 9:42 PM
Jdlrobson added a subscriber: Jdlrobson.

We're in the process of moving this code to a new summary service which does not have this problem in T113094. Thanks for reporting this! It helps to have examples where the current summaries are broken!

Jdlrobson added a subscriber: ABorbaWMF.

We should verify this is fixed. @ABorbaWMF can you help?

ovasileva triaged this task as High priority.Feb 26 2018, 4:03 PM
ovasileva added a subscriber: ovasileva.

It seems we can't test this on the beta cluster, but let's check it after we deploy html previews everywhere

ovasileva moved this task from Backlog to For Review on the Page-Previews board.Feb 26 2018, 4:05 PM

This can be tested on production now as the summary endpoint is live everywhere. We don't need to turn on html previews to test this as the bug report is based on text previews (also in the case of whitespace text and html are identical).

@Jdlrobson - you're right, I wasn't thinking. looks fixed:

Pulling into current sprint. Not sure if this needs QA or signing off...

Looks good to me on production

Jdlrobson reassigned this task from ABorbaWMF to ovasileva.Mar 9 2018, 7:16 PM

Olga for sign off!

ovasileva closed this task as Resolved.Mar 11 2018, 5:05 PM

looks good - thanks all!